
ALTER SESSION SET CURRENT_SCHEMA = VOTACIONS;
COMMIT;

CREATE OR REPLACE PROCEDURE creacio_joc_proves_consultes
IS
  RSP Varchar2(500); 
  Resultat sys_refcursor;  

BEGIN
  -------------------------------------------------------------------------------
  -- Consulta a (Votacions d'un pas)
  -------------------------------------------------------------------------------
  RSP:=consVotacionsPais(Resultat, 'ES');
  PRINT Resultat;
  
  -------------------------------------------------------------------------------
  -- Consulta b (10 Votacions amb ms diferncia de vots entre 
  --  la que n'ha tingut ms i la que menys)
  -------------------------------------------------------------------------------
  RSP:=cons10VotacionsMesDif(Resultat);
  PRINT Resultat;
  
  -------------------------------------------------------------------------------
  -- Consulta c (10 Votacions amb menys diferncia de vots entre 
  --  la que n'ha tingut ms i la que menys)
  -------------------------------------------------------------------------------
  RSP:=cons10VotacionsMenysDif(Resultat);
  PRINT Resultat;
  
  -------------------------------------------------------------------------------
  -- Consulta d (censos d'un ciutad)
  -------------------------------------------------------------------------------
  RSP:=consCensosCiutada(Resultat,10001);
  PRINT Resultat;
  
  -------------------------------------------------------------------------------
  -- Consulta e (Votacions a les que ha participat un ciutad)
  -------------------------------------------------------------------------------
  RSP:=consVotacionsCiutada(Resultat,10001);
  PRINT Resultat;

END;
